libraw1394: version 2.0.4
Prev |  | Next

# raw1394_set_fcp_handler

## Name

raw1394_set_fcp_handler -- set FCP handler

## Synopsis

``fcp_handler_t raw1394_set_fcp_handler` (raw1394handle_t handle, fcp_handler_t new_h);`

## Arguments

`handle`

  libraw1394 handle

`new_h`

  pointer to new handler

## Description

Function Control Protocol is defined in IEC 61883-1.

Sets the handler to be called when either FCP command or FCP response registers get written to `new_h`. The default handler does nothing. In order to actually get FCP events, you have to enable it with `raw1394_start_fcp_listen` and can stop it with `raw1394_stop_fcp_listen`.

## Returns

the old handler or NULL on failure (sets errno)

Prev | Home | Next
raw1394_set_arm_tag_handler | Up | int